summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-04-28 11:29:47 +0100
committerV3n3RiX <venerix@redcorelinux.org>2019-04-28 11:29:47 +0100
commit2fe88d7f8c773ad649d5ad23f2f4ddd044a3b81c (patch)
tree882baedd952c5295987671dd0bce57abfdb9f495 /dev-libs
parent9d54defb298bf4cf28574e878b1c4edb213992d0 (diff)
dev-libs/{mpc,mpfr} : import from gentoo
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/mpc/Manifest1
-rw-r--r--dev-libs/mpc/mpc-1.0.3-r1337.ebuild33
-rw-r--r--dev-libs/mpfr/Manifest1
-rw-r--r--dev-libs/mpfr/files/mpfr-3.1.4-cygwin.patch39
-rw-r--r--dev-libs/mpfr/mpfr-3.1.6-r1337.ebuild54
5 files changed, 128 insertions, 0 deletions
diff --git a/dev-libs/mpc/Manifest b/dev-libs/mpc/Manifest
new file mode 100644
index 00000000..b55c8226
--- /dev/null
+++ b/dev-libs/mpc/Manifest
@@ -0,0 +1 @@
+DIST mpc-1.0.3.tar.gz 669925 BLAKE2B 4b5a1db5220b58070f9356041f44f021c2c9ec46aa4303d0a31e809d649897bc3547e9b06271dae4e80be569ee67e2a84f86b662e05dac0ca36ff87e95fcbd62 SHA512 0028b76df130720c1fad7de937a0d041224806ce5ef76589f19c7b49d956071a683e2f20d154c192a231e69756b19e48208f2889b0c13950ceb7b3cfaf059a43
diff --git a/dev-libs/mpc/mpc-1.0.3-r1337.ebuild b/dev-libs/mpc/mpc-1.0.3-r1337.ebuild
new file mode 100644
index 00000000..584f40e7
--- /dev/null
+++ b/dev-libs/mpc/mpc-1.0.3-r1337.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="4"
+
+inherit eutils libtool multilib-minimal
+
+DESCRIPTION="A library for multiprecision complex arithmetic with exact rounding"
+HOMEPAGE="http://mpc.multiprecision.org/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+DEPEND=">=dev-libs/gmp-4.3.2[${MULTILIB_USEDEP},static-libs?]
+ >=dev-libs/mpfr-2.4.2[${MULTILIB_USEDEP},static-libs?]
+ <dev-libs/mpfr-4.0.0"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ elibtoolize #347317
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE=${S} econf $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files
+}
diff --git a/dev-libs/mpfr/Manifest b/dev-libs/mpfr/Manifest
new file mode 100644
index 00000000..11a9ef19
--- /dev/null
+++ b/dev-libs/mpfr/Manifest
@@ -0,0 +1 @@
+DIST mpfr-3.1.6.tar.xz 1133672 BLAKE2B ab8b87be9d29e9ae5807976f72d65e16cd3e5b4c2ffc4e5bd7829e664250b1969a1ec3928b3519cd75365692e23eadfd413a8116f8c77d6cd66183020b72b656 SHA512 746ee74d5026f267f74ab352d850ed30ff627d530aa840c71b24793e44875f8503946bd7399905dea2b2dd5744326254d7889337fe94cfe58d03c4066e9d8054
diff --git a/dev-libs/mpfr/files/mpfr-3.1.4-cygwin.patch b/dev-libs/mpfr/files/mpfr-3.1.4-cygwin.patch
new file mode 100644
index 00000000..c051b462
--- /dev/null
+++ b/dev-libs/mpfr/files/mpfr-3.1.4-cygwin.patch
@@ -0,0 +1,39 @@
+https://bugs.gentoo.org/579840
+
+fix from upstream
+
+r10260 | vlefevre | 2016-04-08 19:17:07 -0400 (Fri, 08 Apr 2016) | 8 lines
+
+[src/mpfr-impl.h] Removed the detection of possible inconsistencies
+under Unix because the tests could yield spurious errors with Cygwin
+or other similar implementations. Moreover, such tests were used for
+debugging purpose or to detect potential problems in the environment,
+thus were not really useful for the end user. They were initially
+added in the win-thread-safe-dll branch (r9682, following a problem
+found in r9680). One alternative for checking by the MPFR developers
+would be to output the status of some internal macros in tversion.
+
+Index: src/mpfr-impl.h
+===================================================================
+--- src/mpfr-impl.h (revision 10259)
++++ src/mpfr-impl.h (revision 10260)
+@@ -208,19 +208,6 @@ typedef struct __gmpfr_cache_s *mpfr_cac
+ # define MPFR_WIN_THREAD_SAFE_DLL 1
+ #endif
+
+-/* Detect some possible inconsistencies under Unix. */
+-#if defined(__unix__)
+-# if defined(_WIN32)
+-# error "Both __unix__ and _WIN32 are defined"
+-# endif
+-# if __GMP_LIBGMP_DLL
+-# error "__unix__ is defined and __GMP_LIBGMP_DLL is true"
+-# endif
+-# if defined(MPFR_WIN_THREAD_SAFE_DLL)
+-# error "Both __unix__ and MPFR_WIN_THREAD_SAFE_DLL are defined"
+-# endif
+-#endif
+-
+ #if defined(__MPFR_WITHIN_MPFR) || !defined(MPFR_WIN_THREAD_SAFE_DLL)
+ extern MPFR_THREAD_ATTR mpfr_flags_t __gmpfr_flags;
+ extern MPFR_THREAD_ATTR mpfr_exp_t __gmpfr_emin;
diff --git a/dev-libs/mpfr/mpfr-3.1.6-r1337.ebuild b/dev-libs/mpfr/mpfr-3.1.6-r1337.ebuild
new file mode 100644
index 00000000..54529fa8
--- /dev/null
+++ b/dev-libs/mpfr/mpfr-3.1.6-r1337.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+# NOTE: we cannot depend on autotools here starting with gcc-4.3.x
+inherit eutils libtool multilib-minimal
+
+MY_PV=${PV/_p*}
+MY_P=${PN}-${MY_PV}
+PLEVEL=${PV/*p}
+DESCRIPTION="library for multiple-precision floating-point computations with exact rounding"
+HOMEPAGE="https://www.mpfr.org/"
+SRC_URI="https://www.mpfr.org/mpfr-${MY_PV}/${MY_P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+SLOT="0/4" # libmpfr.so version
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND=">=dev-libs/gmp-4.1.4-r2[${MULTILIB_USEDEP},static-libs?]"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ if [[ ${PLEVEL} != ${PV} ]] ; then
+ local i
+ for (( i = 1; i <= PLEVEL; ++i )) ; do
+ epatch "${FILESDIR}"/${MY_PV}/patch$(printf '%02d' ${i})
+ done
+ fi
+ epatch_user
+ find . -type f -exec touch -r configure {} +
+ elibtoolize
+}
+
+multilib_src_configure() {
+ # Make sure mpfr doesn't go probing toolchains it shouldn't #476336#19
+ ECONF_SOURCE=${S} \
+ user_redefine_cc=yes \
+ econf \
+ --docdir="\$(datarootdir)/doc/${PF}" \
+ $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+ use static-libs || find "${ED}"/usr -name '*.la' -delete
+
+ # clean up html/license install
+ pushd "${ED}"/usr/share/doc/${PF} >/dev/null || die
+ dohtml *.html && rm COPYING* *.html
+ popd >/dev/null || die
+}